### A free/open-source library for quantitative finance

Public Member Functions
ZeroInflationIndex Class Reference

Base class for zero inflation indices. More...

`#include <ql/indexes/inflationindex.hpp>`

Inheritance diagram for ZeroInflationIndex:
[legend]

List of all members.

## Public Member Functions

| ZeroInflationIndex (const std::string &familyName, const Region &region, bool revised, bool interpolated, Frequency frequency, const Period &availabilityLag, const Currency &currency, const Handle< ZeroInflationTermStructure > &ts=Handle< ZeroInflationTermStructure >())
| Always use the evaluation date as the reference date.
Index interface
Rate | fixing (const Date &fixingDate, bool forecastTodaysFixing=false) const
Other methods
Handle < ZeroInflationTermStructure > | zeroInflationTermStructure () const
boost::shared_ptr < ZeroInflationIndex > | clone (const Handle< ZeroInflationTermStructure > &h) const

## Detailed Description

Base class for zero inflation indices.

## Member Function Documentation

Rate fixing | ( | const Date & | fixingDate,
|  | bool | forecastTodaysFixing = `false`
| ) |  | const`[virtual]`

Warning:
  the forecastTodaysFixing parameter (required by the Index interface) is currently ignored.

Implements InflationIndex.